/*
 * Class EV_ABSTRACT_PICK_AND_DROPABLE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_682 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_682 [] = {0xFF01,1551,681,0xFFFF};
static const EIF_TYPE_INDEX egt_2_682 [] = {0xFF01,681,0xFFFF};
static const EIF_TYPE_INDEX egt_3_682 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_682 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_682 [] = {0xFF01,681,0xFFFF};
static const EIF_TYPE_INDEX egt_6_682 [] = {0xFF01,681,0xFFFF};
static const EIF_TYPE_INDEX egt_7_682 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_682 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_682 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_682 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_682 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_682 [] = {0xFF01,681,0xFFFF};
static const EIF_TYPE_INDEX egt_13_682 [] = {1594,0xFF01,0,0xFF01,0xFFF9,1,840,0,0xFF01,133,0xFFFF};
static const EIF_TYPE_INDEX egt_14_682 [] = {1594,0xFF01,0,0xFF01,0xFFF9,0,840,0,0xFFFF};
static const EIF_TYPE_INDEX egt_15_682 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_16_682 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_17_682 [] = {0xFF01,638,0xFFFF};
static const EIF_TYPE_INDEX egt_18_682 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_19_682 [] = {0xFF01,648,0xFFFF};
static const EIF_TYPE_INDEX egt_20_682 [] = {0xFF01,630,0xFFFF};
static const EIF_TYPE_INDEX egt_21_682 [] = {0xFF01,1997,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_22_682 [] = {0xFF01,74,0xFFFF};


static const struct desc_info desc_682[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_682), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_682), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16832, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_682), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16833, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_682), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_682), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_682), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_682), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_682), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_682), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_682), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_682), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_682), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0553 /*681*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_682), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16834, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 12894, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12895, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12896, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16828, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x054F /*679*/), 16829, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16830, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16831, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16835, 8},
	{EIF_NON_GENERIC(0x01 /*0*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x071F /*911*/), 16900, 0},
	{EIF_GENERIC(egt_13_682), 16901, 4},
	{EIF_GENERIC(egt_14_682), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_682), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_682), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16902, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16903, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_682), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_682), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_682), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_682), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16896, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16897, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_682), 16898, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_682), 16899, 0xFFFFFFFF},
};
void Init682(void)
{
	IDSC(desc_682, 0, 681);
	IDSC(desc_682 + 1, 1, 681);
	IDSC(desc_682 + 32, 791, 681);
	IDSC(desc_682 + 34, 1503, 681);
	IDSC(desc_682 + 37, 1187, 681);
	IDSC(desc_682 + 42, 1005, 681);
}


#ifdef __cplusplus
}
#endif
